using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.ComponentModel;
namespace APT.MS.Domain.Entities.SE
{
    /// <summary>
    /// 年度培训发送部门
    /// </summary>
    [Description("年度培训发送部门")]
    public class T_SE_YEAR_TRAIN_PLAN_DEPARTMENT : MesEntityBase
    {
        /// <summary>
        /// 年度培训计划ID
        /// </summary>
        [Description("年度培训计划ID")]
        [DataFieldForeignKey("Nav_YearTrainPlan","Nav_YearTrainPlanDepartment")]
        public Guid YEAR_TRAIN_PLAN_DETAIL_ID { get; set; }
        /// <summary>
        /// 导航: 年度培训计划详情
        /// </summary>
        [Description("导航: 年度培训计划详情")]
        public T_SE_YEAR_TRAIN_PLAN Nav_YearTrainPlan { get; set; }
        /// <summary>
        /// 培训内容ID
        /// </summary>
        [Description("部门表")]
        [DataFieldForeignKey("Nav_Department")]
        public Guid? DEPARTMENT_ID { get; set; }
        /// <summary>
        /// 导航: 培训内容
        /// </summary>
        [Description("导航: 部门表")]
        public T_FM_DEPARTMENT Nav_Department { get; set; }
    }
}
